View Issue Details

IDProjectCategoryView StatusLast Update
0002827SOGoWeb Address Bookpublic2014-08-15 13:43
ReporterGunnar Weissmann Assigned Toacloutier 
PrioritynormalSeverityminorReproducibilityalways
Status resolvedResolutionfixed 
Platform[Server] LinuxOSDebianOS Version7 (Wheezy)
Target Version2.2.7Fixed in Version2.2.8 
Summary0002827: Error on LDAP account properties on the webinterface
Description

We add our LDAP Server to /etc/sogo/sogo.conf with the following settings:

SOGoUserSources = (
{
type = ldap;
id = ldapaccounts;
displayName = "Company Verzeichnis";
hostname = ldap://IP:PORT;
CNFieldName = cn;
UIDFieldName = uid;
IDFieldName = uid;
bindFields = (uid, mail);
baseDN = "dc=company,dc=de";
filter = "(objectClass='person' AND status='ok')";
SearchFieldNames = (sn, givenName, cn, mail);
canAuthenticate = YES;
isAddressBook = YES;
}
);

As you open the properties link (or double click) under the address book tab from our LDAP Directory (https://sogo.url.de/SOGo/so/gunnarweissmann/Contacts/ldapaccounts/properties) we get the following error:

An error occurred during object publishing
the requested object could not be found!

The debug log has the following entry:
127.0.0.1 - - [23/Jun/2014:16:31:55 GMT] "GET /SOGo/so/gunnarweissmann/Contacts/ldapaccounts/properties HTTP/1.0" 404 208/0 0.017 - - 164K

On all other address books we are able to open the properties link like:
https://sogo.url.de/SOGo/so/gunnarweissmann/Contacts/personal/properties

We suppose that this is a bug.

Thanks for your support!

Kind regards,

Gunnar Weissmann

TagsNo tags attached.

Activities

ludovic

ludovic

2014-06-23 15:49

administrator   ~0007230

The "Properties" item is disabled for me but I get the error upon a double-click.

We should ignore double-click for "shared address books".

Gunnar Weissmann

Gunnar Weissmann

2014-06-24 04:54

reporter   ~0007232

On our SOGo server and on the ZEG SOGo VM the "Properties" item is enabled; is there an option to disable this?

Gunnar Weissmann

Gunnar Weissmann

2014-07-31 07:19

reporter   ~0007372

in 2.2.7 the "double-click ignore" isn't implemented yet.

francis

francis

2014-07-31 11:28

administrator   ~0007373

@ludovic: Should we ignore the double-click or display a read-only version of the properties popup window?

ludovic

ludovic

2014-07-31 14:08

administrator   ~0007374

I think we should just ignore the doube-click on it.

acloutier

acloutier

2014-08-15 13:43

viewer   ~0007414

https://github.com/inverse-inc/sogo/commit/e044476772b304e307f7853906996282f9b0eb93

Issue History

Date Modified Username Field Change
2014-06-23 10:57 Gunnar Weissmann New Issue
2014-06-23 15:49 ludovic Note Added: 0007230
2014-06-23 15:50 ludovic Assigned To => acloutier
2014-06-23 15:50 ludovic Status new => assigned
2014-06-24 04:54 Gunnar Weissmann Note Added: 0007232
2014-07-07 12:39 francis Target Version => 2.2.7
2014-07-31 07:19 Gunnar Weissmann Note Added: 0007372
2014-07-31 11:28 francis Note Added: 0007373
2014-07-31 14:08 ludovic Note Added: 0007374
2014-08-15 13:43 acloutier Note Added: 0007414
2014-08-15 13:43 acloutier Status assigned => resolved
2014-08-15 13:43 acloutier Fixed in Version => 2.2.8
2014-08-15 13:43 acloutier Resolution open => fixed